from natsort import natsorted
import json
import os

test_dir = "./data/vrd/sg_dataset/sg_test_images"

annots = {}

for img in (natsorted(os.listdir(test_dir))):
	det = {}
	det["predicate"] = 0
	det["object"] = {"category": 0, "bbox": [0,0,1,1]}
	det["subject"] = {"category": 0, "bbox": [0,0,1,1]}
	annots[img] = [det]

with open('./data/vrd/annotations_test.json', 'w') as f:
    json.dump(annots, f)